Subject: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14

From: ERCIN TORUN <[email-masked]>
Date: Thu, 9 May 2019 12:02:42 +0000

Hello All,

My name is Ercin TORUN<https://tr.linkedin.com/in/ercintorun> and I’m working in Turkcell Turkey (35M-mobile/2M-fixed customer, +digital services) as an IP/MPLS Network Planning Engineer.  I would like to propose an update to draft-ietf-idr-rfc5575bis-14<https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-14>.

By default all flowspec entries (filters..) are applied to all routers, and unnecessary application of many filters can easily owerwhelm the capacity of routers resources (e.g. TCAM). We are pushing layer3 to the edges with solutions like seamless-mpls or leaf-spine next-generation DC topologies which widens the layer3 domain easily over thousands of devices. It is best to filter “dirty” traffic where it first enters a network. There are ways to accept BGP announcements only on the targeted router, like defining a community for each router and configuring policies, but an automated way would be much more easier and less error-prone. Our idea is using a route-taget to match with BGP Identifier so that only the targeted router might accept the announcement.

All in all, I propose to add below text to draft-ietf-idr-rfc5575bis-14<https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-14>

“   In a common use case, it is necessary to apply a filter to one or a few
   routers and to apply many different filters to many different routers.
   By default, all filters are applied to all routers. In this use case,
   the unnecessary application of the many filters can easily overwhelm
   the capacity of the routers. To simplify this use case,
   route-targets may be used to apply the filters to only the needed routers:

   If one or more IPv4-Address-Specific route-targets are present, then
   the IPv4 address of at least one route-
   target MUST match one of the BGP Identifiers of the receiver in order
   for the update to be accepted.
“

Regards
Erçin TORUN

[http://www.turkcell.com.tr/downloads/bireysel/img/Tcelldis.gif] <http://turkcell.li/iyaani>

Bu elektronik posta ve onunla iletilen butun dosyalar sadece gondericisi tarafindan almasi amaclanan yetkili gercek ya da tuzel kisinin kullanimi icindir. Eger soz konusu yetkili alici degilseniz bu elektronik postanin icerigini aciklamaniz, kopyalamaniz, yonlendirmeniz ve kullanmaniz kesinlikle yasaktir ve bu elektronik postayi derhal silmeniz gerekmektedir.

TURKCELL bu mesajin icerdigi bilgilerin doğruluğu veya eksiksiz oldugu konusunda herhangi bir garanti vermemektedir. Bu nedenle bu bilgilerin ne sekilde olursa olsun iceriginden, iletilmesinden, alinmasindan ve saklanmasindan sorumlu degildir. Bu mesajdaki gorusler yalnizca gonderen kisiye aittir ve TURKCELLin goruslerini yansitmayabilir

Bu e-posta bilinen butun bilgisayar viruslerine karsi taranmistir.

________________________________

This e-mail and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you are not the intended recipient you are hereby notified that any dissemination, forwarding, copying or use of any of the information is strictly prohibited, and the e-mail should immediately be deleted.

TURKCELL makes no warranty as to the accuracy or completeness of any information contained in this message and hereby excludes any liability of any kind for the information contained therein or for the information transmission, reception, storage or use of such in any way whatsoever. The opinions expressed in this message belong to sender alone and may not necessarily reflect the opinions of TURKCELL.

This e-mail has been scanned for all known computer viruses.

---

From: Robert Raszuk <[email-masked]>
Date: Thu, 9 May 2019 18:37:55 +0200

Hi Ercin,

What you are asking/proposing has been standardized in the original RFC5575
already many years ago.

Please see section 8 specifically this paragraph:

   Propagation of this NLRI is controlled by matching Route Target
   extended communities associated with the BGP path advertisement with
   the VRF import policy, using the same mechanism as described in "BGP/
   MPLS IP VPNs" [RFC4364 <https://tools.ietf.org/html/rfc4364>] .

Thx,
Robert.

On Thu, May 9, 2019 at 2:04 PM ERCIN TORUN <[email-masked]>
wrote:

> Hello All,
>
>
>
> My name is Ercin TORUN <https://tr.linkedin.com/in/ercintorun> and I’m
> working in Turkcell Turkey (35M-mobile/2M-fixed customer, +digital
> services) as an IP/MPLS Network Planning Engineer.  I would like to propose
> an update to draft-ietf-idr-rfc5575bis-14
> <https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-14>.
>
>
>
> By default all flowspec entries (filters..) are applied to all routers,
> and unnecessary application of many filters can easily owerwhelm the
> capacity of routers resources (e.g. TCAM). We are pushing layer3 to the
> edges with solutions like seamless-mpls or leaf-spine next-generation DC
> topologies which widens the layer3 domain easily over thousands of devices.
> It is best to filter “dirty” traffic where it first enters a network. There
> are ways to accept BGP announcements only on the targeted router, like
> defining a community for each router and configuring policies, but an
> automated way would be much more easier and less error-prone. Our idea is
> using a route-taget to match with BGP Identifier so that only the targeted
> router might accept the announcement.
>
>
>
> All in all, I propose to add below text to draft-ietf-idr-rfc5575bis-14
> <https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-14>
>
>
>
> <http://turkcell.li/iyaani>
>
> Bu elektronik posta ve onunla iletilen butun dosyalar sadece gondericisi
> tarafindan almasi amaclanan yetkili gercek ya da tuzel kisinin kullanimi
> icindir. Eger soz konusu yetkili alici degilseniz bu elektronik postanin
> icerigini aciklamaniz, kopyalamaniz, yonlendirmeniz ve kullanmaniz
> kesinlikle yasaktir ve bu elektronik postayi derhal silmeniz gerekmektedir.
>
> TURKCELL bu mesajin icerdigi bilgilerin doğruluğu veya eksiksiz oldugu
> konusunda herhangi bir garanti vermemektedir. Bu nedenle bu bilgilerin ne
> sekilde olursa olsun iceriginden, iletilmesinden, alinmasindan ve
> saklanmasindan sorumlu degildir. Bu mesajdaki gorusler yalnizca gonderen
> kisiye aittir ve TURKCELLin goruslerini yansitmayabilir
>
> ------------------------------
>
> This e-mail and any files transmitted with it are confidential and
> intended solely for the use of the individual or entity to whom they are
> addressed. If you are not the intended recipient you are hereby notified
> that any dissemination, forwarding, copying or use of any of the
> information is strictly prohibited, and the e-mail should immediately be
> deleted.
>
> TURKCELL makes no warranty as to the accuracy or completeness of any
> information contained in this message and hereby excludes any liability of
> any kind for the information contained therein or for the information
> transmission, reception, storage or use of such in any way whatsoever. The
> opinions expressed in this message belong to sender alone and may not
> necessarily reflect the opinions of TURKCELL.
>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr
>

---

From: "Jakob Heitz (jheitz)" <[email-masked]>
Date: Thu, 9 May 2019 20:52:53 +0000

Robert,

Section 8 applies to VPNv4 flow spec.

I see two differences in Ercin's proposal.
First, it is for IP Flow Spec, rather than for VPN
Second, the IPv4 address in the RT matches with the router-id.
This avoids the requirement to allocate and manage another identifier to match the RT.
that is an operational advantage.

I support Ercin's proposal.

Regards,
Jakob.

From: Idr <[email-masked]> On Behalf Of Robert Raszuk
Sent: Thursday, May 9, 2019 9:38 AM
To: ERCIN TORUN <[email-masked]>
Cc: [email-masked]
Subject: Re: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14

Hi Ercin,

What you are asking/proposing has been standardized in the original RFC5575 already many years ago.

   MPLS IP VPNs" [RFC4364<https://tools.ietf.org/html/rfc4364>] ..

Thx,
Robert.

On Thu, May 9, 2019 at 2:04 PM ERCIN TORUN <[email-masked]<mailto:[email-masked]>> wrote:
Hello All,

Regards
Erçin TORUN

[http://www.turkcell.com.tr/downloads/bireysel/img/Tcelldis.gif]<http://turkcell.li/iyaani>

TURKCELL makes no warranty as to the accuracy or completeness of any information contained in this message and hereby excludes any liability of any kind for the information contained therein or for the information transmission, reception, storage or use of such in any way whatsoever. The opinions expressed in this message belong to sender alone and may not necessarily reflect the opinions of TURKCELL..

This e-mail has been scanned for all known computer viruses.
_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr

---

From: Robert Raszuk <[email-masked]>
Date: Thu, 9 May 2019 23:10:19 +0200

Hey Jakob,

I am assuming he is using MPLS fabric for a reason ... One most likely
reason could be L3VPN :) Otherwise what would be the point to use MPLS to
start with ? Basic hierarchical routing ? And even for L3VPN MPLS in
transport layer. It is also not needed for isolating underlay from overlay
tenants routes.

Regardless as you know RTs do apply for any SAFI not just 128.

The only point is sort of automation to router_id filtering ... I guess an
implementation can support it for any SAFI as well with an extra knob. That
would not be specific to flow-spec by just a vendor's local enhancement.

As you know FlowSpec's main role was to prevent DDoS. With that you never
know on which ASBR your distributed attacks arrive so pushing filters to
only subset of them is a questionable. If you have 10s or 100s of ASBRs you
would need now to apply long list of matching RTs.

The solution is not backwards compatible as current routers unless upgraded
with new knob would accept all filters anyway. I hope no one wants this to
be active by default as it would kill RFC5575 and turn FlowSpec to NetConf.

If you want to limit the filters only to ASBRs maybe some more generic RT
needs to be defined - say "apply only on EBGP speakers" ?

Overall abuse of FlowSpec seems to continue. P2MP distributed nature of BGP
propagation keeps being used as P2P config push protocol. I am just not
sure when such use cases will stop popping up left and right.

Best,
R.

On Thu, May 9, 2019 at 10:52 PM Jakob Heitz (jheitz) <[email-masked]>
wrote:

> *From:* Idr <[email-masked]> *On Behalf Of * Robert Raszuk
> *Sent:* Thursday, May 9, 2019 9:38 AM
> *To:* ERCIN TORUN <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14
>
>
>
> Hi Ercin,
>
>
>
>    MPLS IP VPNs" [RFC4364 <https://tools.ietf.org/html/rfc4364>] ..
>
>
>
> Thx,
> Robert.
>
>
>
>
>
> necessarily reflect the opinions of TURKCELL..
>

---

From: Christoph Loibl <[email-masked]>
Date: Thu, 9 May 2019 22:57:51 +0000

Hi Erçin, Robert, Jakob,

From Erçin’s mail I understand that he wants his routers to accept FS routes only if the receiving router_id is encoded in the RT (MPLS is mentioned in the mail but I think what Erçin suggests has nothing to do with MPLS VPN). Erçin also points out that the same functionality can already be achieved by tagging the FS-prefix with a specific community (or whatever available) and have the router's bgp policy-framework select/filter the (non-)appropriate FS filters (or even have the route-reflectors do the filtering. btw. when it comes to RRs the suggested solution also seems a litte more tricky). 

The suggested solution eases the configuration in your specific use-case since you do not need to manually (I doubt that you are doing that manually anyway - given the scale of the deployment that you describe) those policies anymore. 

However, I agree with what Robert wrote in his last mail: 

This is *not* a problem to solve specifically for FS. For example you may want to have a router import an IP unicast route only in case the router_id matches some extended community - why does it need to go into FS? It could be useful for other SAFIs as well! It may need additional considerations because of BGP route propagation and scaling (route reflection, but also propagation over multiple routing domains). On the other hand, since it can be achieved with configuration already: Does this really need to go into BGP?

Cheers Christoph

-- 
Christoph Loibl
[email-masked] | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at

> On 09.05.2019, at 21:10, Robert Raszuk <[email-masked]> wrote:
> 
> Hey Jakob,
> 
> I am assuming he is using MPLS fabric for a reason ... One most likely reason could be L3VPN :) Otherwise what would be the point to use MPLS to start with ? Basic hierarchical routing ? And even for L3VPN MPLS in transport layer. It is also not needed for isolating underlay from overlay tenants routes. 
> 
> The only point is sort of automation to router_id filtering ... I guess an implementation can support it for any SAFI as well with an extra knob. That would not be specific to flow-spec by just a vendor's local enhancement. 
> 
> As you know FlowSpec's main role was to prevent DDoS. With that you never know on which ASBR your distributed attacks arrive so pushing filters to only subset of them is a questionable. If you have 10s or 100s of ASBRs you would need now to apply long list of matching RTs. 
> 
> The solution is not backwards compatible as current routers unless upgraded with new knob would accept all filters anyway. I hope no one wants this to be active by default as it would kill RFC5575 and turn FlowSpec to NetConf. 
> 
> If you want to limit the filters only to ASBRs maybe some more generic RT needs to be defined - say "apply only on EBGP speakers" ? 
> 
> Overall abuse of FlowSpec seems to continue. P2MP distributed nature of BGP propagation keeps being used as P2P config push protocol. I am just not sure when such use cases will stop popping up left and right. 
> 
> Best,
> R.
> 
> 
> On Thu, May 9, 2019 at 10:52 PM Jakob Heitz (jheitz) <[email-masked] <mailto:[email-masked]>> wrote:
> Robert,
> 
>  
> 
> From: Idr <[email-masked] <mailto:[email-masked]>> On Behalf Of Robert Raszuk
> To: ERCIN TORUN <[email-masked] <mailto:[email-masked]>>
> Cc: [email-masked] <mailto:[email-masked]>
> On Thu, May 9, 2019 at 2:04 PM ERCIN TORUN <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Hello All,
> 
>  
> 
> My name is Ercin TORUN <https://tr.linkedin.com/in/ercintorun> and I’m working in Turkcell Turkey (35M-mobile/2M-fixed customer, +digital services) as an IP/MPLS Network Planning Engineer.  I would like to propose an update to draft-ietf-idr-rfc5575bis-14 <https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-14>.
> 
>  
> 
> All in all, I propose to add below text to draft-ietf-idr-rfc5575bis-14 <https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-14>
>  
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/idr <https://www.ietf.org/mailman/listinfo/idr>_______________________________________________
> Idr mailing list
> [email-masked]

---

From: ERCIN TORUN <[email-masked]>
Date: Fri, 10 May 2019 07:22:39 +0000

Hello Christoph, Jakob, Robert,

We wanted to filter DDOS attacks happening inside our AS , attacks from customers to customers, so my idea is not related to MPLS VPN or filtering a DDOS attack coming from a transit provider. Customers layer3 connections are terminated on around 600 routers today, which will increase when we push down layer3 terminations further into the edge.

As Christoph mentioned solution eases the configuration by taking out manual configuration (assuming a DDOS analyzer could analyze the origin interface/router of the attack  and insert BGP router id into FS routes) and lessens the filter load on routers. We are not using FS today for attacks happening inside our AS, i came up with the idea what if we start using it.

I found a use case for BGP FS, might be useful for other SAFIs as well as Robert wrote. But yes it is also possible having such a functionality with local enhancement (hopefully on major router vendors).

Regards
Erçin TORUN
From: Christoph Loibl <[email-masked]>
Sent: Friday, May 10, 2019 1:58 AM
To: ERCIN TORUN <[email-masked]>
Cc: Jakob Heitz (jheitz) <[email-masked]>; Robert Raszuk <[email-masked]>; [email-masked]
Subject: Re: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14

Hi Erçin, Robert, Jakob,

Cheers Christoph

--
Christoph Loibl
[email-masked]<mailto:[email-masked]> | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at

On 09.05.2019, at 21:10, Robert Raszuk <[email-masked]<mailto:[email-masked]>> wrote:

Hey Jakob,

Best,
R.

On Thu, May 9, 2019 at 10:52 PM Jakob Heitz (jheitz) <[email-masked]<mailto:[email-masked]>> wrote:
Robert,

Regards,
Jakob.

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Robert Raszuk
Sent: Thursday, May 9, 2019 9:38 AM
To: ERCIN TORUN <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14

Hi Ercin,

Thx,
Robert.

Regards
Erçin TORUN

[http://www.turkcell.com.tr/downloads/bireysel/img/Tcelldis.gif]<https://ddei3-0-ctp.trendmicro.com/wis/clicktime/v1/query?url=http%3a%2f%2fturkcell.li%2fiyaani&umid=5622DB31-887C-6405-8A8A-F4F39CC5B127&auth=54639621fcdd7e0f42d2a208112da27408386c06-40e6138ba459538902ecd8e663e8f2bd2fd3d7f4>

---

From: Robert Raszuk <[email-masked]>
Date: Fri, 10 May 2019 10:40:43 +0200

Thx for clarification.

So your use case is to use BGP as targeted config push. You seems not
worried that 600+ routers and RRs will get FS updates only for 599+ to drop
them.

I do think that BGP should *not* be used for config push regardless if this
is ACLs or SIDs or XYZ.

The idea of original 5575 leverages BGP for real p2mp filter push and that
along with unicast validation are the only two reasons why we used BGP for
it to start with. In your use case neither of those two reasons apply

Cheers,
R.

On Fri, May 10, 2019 at 9:22 AM ERCIN TORUN <[email-masked]>
wrote:

> We wanted to filter DDOS attacks happening inside our AS , attacks from
> customers to customers, so my idea is not related to MPLS VPN or filtering
> a DDOS attack coming from a transit provider. Customers layer3 connections
> are terminated on around 600 routers today, which will increase when we
> push down layer3 terminations further into the edge.
>
>
>
> As Christoph mentioned solution eases the configuration by taking out
> manual configuration (assuming a DDOS analyzer could analyze the origin
> interface/router of the attack  and insert BGP router id into FS routes)
> and lessens the filter load on routers. We are not using FS today for
> attacks happening inside our AS, i came up with the idea what if we start
> using it.
>
>
>
> I found a use case for BGP FS, might be useful for other SAFIs as well as
> Robert wrote. But yes it is also possible having such a functionality with
> local enhancement (hopefully on major router vendors).
>
>
>
> Regards
>
> Erçin TORUN
>
> *From:* Christoph Loibl <[email-masked]>
> *Sent:* Friday, May 10, 2019 1:58 AM
> *Cc:* Jakob Heitz (jheitz) <[email-masked]>; Robert Raszuk <
> [email-masked]>; [email-masked]
> From Erçin’s mail I understand that he wants his routers to accept FS
> routes only if the receiving router_id is encoded in the RT (MPLS is
> mentioned in the mail but I think what Erçin suggests has nothing to do
> with MPLS VPN). Erçin also points out that the same functionality can
> already be achieved by tagging the FS-prefix with a specific community (or
> whatever available) and have the router's bgp policy-framework
> select/filter the (non-)appropriate FS filters (or even have the
> route-reflectors do the filtering. btw. when it comes to RRs the suggested
> solution also seems a litte more tricky).
>
>
>
> The suggested solution eases the configuration in your specific use-case
> since you do not need to manually (I doubt that you are doing that manually
> anyway - given the scale of the deployment that you describe) those
> policies anymore.
>
>
>
> This is *not* a problem to solve specifically for FS. For example you may
> want to have a router import an IP unicast route only in case the router_id
> matches some extended community - why does it need to go into FS? It could
> be useful for other SAFIs as well! It may need additional considerations
> because of BGP route propagation and scaling (route reflection, but also
> propagation over multiple routing domains). On the other hand, since it can
> be achieved with configuration already: Does this really need to go into
> BGP?
>
>
>
> Cheers Christoph
>
>
>
> --
> Christoph Loibl
> The solution is not backwards compatible as current routers unless
> upgraded with new knob would accept all filters anyway. I hope no one wants
> this to be active by default as it would kill RFC5575 and turn FlowSpec to
> NetConf.
>
>
>
> Overall abuse of FlowSpec seems to continue. P2MP distributed nature of
> BGP propagation keeps being used as P2P config push protocol. I am just not
> *From:* Idr <[email-masked]> *On Behalf Of *Robert Raszuk
> <https://ddei3-0-ctp.trendmicro.com/wis/clicktime/v1/query?url=http%3a%2f%2fturkcell.li%2fiyaani&umid=5622DB31-887C-6405-8A8A-F4F39CC5B127&auth=54639621fcdd7e0f42d2a208112da27408386c06-40e6138ba459538902ecd8e663e8f2bd2fd3d7f4>
>

---

From: Zhuangshunwan <[email-masked]>
Date: Sat, 11 May 2019 05:43:35 +0000

Hi Christoph etc. All,

In line with [Shunwan].

BR,
Shunwan

From: Idr [mailto:[email-masked]] On Behalf Of Christoph Loibl
Sent: Friday, May 10, 2019 6:58 AM
To: [email-masked]
Cc: [email-masked]; Robert Raszuk <[email-masked]>
Subject: Re: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14

Hi Erçin, Robert, Jakob,

[Shunwan]

According to my understanding，draft-ietf-idr-segment-routing-te-policy has already introduced this feature：
https://tools.ietf.org/html/draft-ietf-idr-segment-routing-te-policy-05#section-1
…
   o  One or more IPv4 address format route-target extended community
      ([RFC4360<https://tools.ietf.org/html/rfc4360>]) attached to the SR Policy advertisement and that
      indicates the intended head-end of such SR Policy advertisement.
…

I think this feature is very useful.

BR,
Shunwan

Cheers Christoph

Hey Jakob,

Best,
R.

Regards,
Jakob.

Hi Ercin,

Thx,
Robert.

Regards
Erçin TORUN

---

From: ERCIN TORUN <[email-masked]>
Date: Mon, 13 May 2019 07:22:10 +0000

Hello All,

As Shumwan mentioned, same usage exists in draft-ietf-idr-segment-routing-te-policy section-4.2.2<https://tools.ietf.org/html/draft-ietf-idr-segment-routing-te-policy-05#section-4.2.2> , for the solution, we proposed the same usage.

Regards
Erçin TORUN
From: Zhuangshunwan <[email-masked]>
Sent: Saturday, May 11, 2019 8:44 AM
To: Christoph Loibl <[email-masked]>; ERCIN TORUN <[email-masked]>
Cc: [email-masked]; Robert Raszuk <[email-masked]>
Subject: RE: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14

Hi Christoph etc. All,

In line with [Shunwan].

BR,
Shunwan

From: Idr [mailto:[email-masked]] On Behalf Of Christoph Loibl
Sent: Friday, May 10, 2019 6:58 AM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14

Hi Erçin, Robert, Jakob,

BR,
Shunwan

Cheers Christoph

Hey Jakob,

Best,
R.

Regards,
Jakob.

Hi Ercin,

Thx,
Robert.

Regards
Erçin TORUN

[http://www.turkcell.com.tr/downloads/bireysel/img/Tcelldis.gif]<https://ddei3-0-ctp.trendmicro.com/wis/clicktime/v1/query?url=http%3a%2f%2fturkcell.li%2fiyaani&umid=4A708451-8896-2B05-A1D6-FD7707BA9B9B&auth=54639621fcdd7e0f42d2a208112da27408386c06-c05fc39faa10358f93609582dbe5b3a9e5971481>

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 15 May 2019 17:12:20 -0400

Erçin,

> By default all flowspec entries (filters..) are applied to all routers, and unnecessary application of many filters can easily owerwhelm the capacity of routers resources (e.g. TCAM). We are pushin…

You may find the following draft (expired - sorry... we need to fix it) of
interest:

https://tools.ietf.org/html/draft-ietf-idr-flowspec-interfaceset-04

-- Jeff

---

From: ERCIN TORUN <[email-masked]>
Date: Thu, 16 May 2019 08:05:01 +0000

Hello Jeffrey,

On a router a filter on all interfaces or on one interface consume the same amount of TCAM* that's why in the first place i think that a targeting mechanism would be useful.  An interface set is definitely useful also.

I know your draft, even i'm in touch with my vendor if (when) it will be applied to their software. I think https://tools.ietf.org/html/draft-ietf-idr-flowspec-interfaceset-04  and https://tools.ietf.org/html/draft-dong-idr-node-target-ext-comm-00   together solves "targeted advertisement with an interface set" problem.

* https://community.cisco.com/t5/xr-os-and-platforms/bgp-flowspec-scale-and-performance/td-p/2749018

Regards
Erçin TORUN
-----Original Message-----
From: Jeffrey Haas <[email-masked]>
Sent: Thursday, May 16, 2019 12:12 AM
To: ERCIN TORUN <[email-masked]>
Cc: [email-masked]
Subject: Re: [Idr] update proposal to draft-ietf-idr-rfc5575bis-14

Erçin,

-- Jeff